function run_catmouse
vm = 1;
vc = 2;
x0 = [1;1];
[t,x] = ode23(@(t,x) catmouse(t, x, vm, vc), [0, 1/vm], x0);

figure;
plot3(t, x(:,1), x(:,2), 'b', t(1), x(1,1), x(1,2), 'o');
xlabel('t', 'FontSize',18);
ylabel('x_1', 'FontSize',18);
zlabel('x_2', 'FontSize',18);

pause;
figure;
plot(x(:,1), x(:,2), x(1,1), x(1,2), 'o');
xlabel('x_1', 'FontSize',18);
ylabel('x_2', 'FontSize',18);

